# TestFinishEvent

interface TestFinishEvent : TestProgressEvent, FinishEvent

An event that informs about a test having finished its execution. You can query the result of the test using getResult.

#### Since

2.4

## Functions

getDescriptor
Link copied to clipboard
abstract fun getDescriptor(): OperationDescriptor
abstract fun getDescriptor(): TestOperationDescriptor
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getEventTime
Link copied to clipboard
abstract fun getEventTime(): Long
getResult
Link copied to clipboard
abstract fun getResult(): TestOperationResult
Returns the result of the finished test operation.